install_github broken for dependencies on packages previously installed from private github repo.

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

install_github broken for dependencies on packages previously installed from private github repo.

Mark Mendel
When installing from a private repo, fails if the package depends on
another package from the private repo--even if its already installed.
Example makes this clear

```R
install_github('MyAcct/Preinstalled.Package', auth_token = 'x')
# works
install_github('MyAcct/My.Package', auth_token = 'x', upgrade = FALSE)
# Fails if My.Package depends on Preinstalled.Package -- see below
```
I get the following errors.
```
Downloading GitHub repo MyAcct/My.Package@master
Error: HTTP error 404.
  Not Found

  Did you spell the repo owner (`MyAcct`) and repo name
(`Preinstalled.Package`) correctly?
  - If spelling is correct, check that you have the required permissions to
access the repo.
```

Why is it even checking the repo, since the package is already installed?

This used to work under the old devtools::install_github implementation,
but that is now an alias for remotes::install_gitub

Using R 3.6.0
--
Mark Mendel
Director of Software Development
MEI Research, Ltd
6016 Schaefer Rd
Edina, MN 55436
[hidden email] <[hidden email]>
(651) 485-9 <%28952%29%20373-1636>369
http://meinergy.com/

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: install_github broken for dependencies on packages previously installed from private github repo.

Duncan Murdoch-2
You posted this identical question to
https://stackoverflow.com/q/57206597/2554330, and didn't fix it based on
the comment asking for a reproducible example.  Please don't crosspost.

On 25/07/2019 3:15 p.m., Mark Mendel wrote:

> When installing from a private repo, fails if the package depends on
> another package from the private repo--even if its already installed.
> Example makes this clear
>
> ```R
> install_github('MyAcct/Preinstalled.Package', auth_token = 'x')
> # works
> install_github('MyAcct/My.Package', auth_token = 'x', upgrade = FALSE)
> # Fails if My.Package depends on Preinstalled.Package -- see below
> ```
> I get the following errors.
> ```
> Downloading GitHub repo MyAcct/My.Package@master
> Error: HTTP error 404.
>    Not Found
>
>    Did you spell the repo owner (`MyAcct`) and repo name
> (`Preinstalled.Package`) correctly?
>    - If spelling is correct, check that you have the required permissions to
> access the repo.
> ```
>
> Why is it even checking the repo, since the package is already installed?
>
> This used to work under the old devtools::install_github implementation,
> but that is now an alias for remotes::install_gitub
>
> Using R 3.6.0
>

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.